# Uses of Interface
javax.validation.Path.Node

Packages that use Path.Node
Package
Description
javax.validation

## Uses of Path.Node in javax.validation

Subinterfaces of Path.Node in javax.validation
Modifier and Type
Interface
Description
`static interface`
`Path.BeanNode`
`static interface`
`Path.ConstructorNode`
`static interface`
`Path.CrossParameterNode`
`static interface`
`Path.MethodNode`
`static interface`
`Path.ParameterNode`
`static interface`
`Path.PropertyNode`
`static interface`
`Path.ReturnValueNode`
Methods in javax.validation with type parameters of type Path.Node
Modifier and Type
Method
Description
`<T extends Path.Node>
T`
Path.Node.`as(Class<T> nodeType)`
Methods in javax.validation with parameters of type Path.Node
Modifier and Type
Method
Description
`boolean`
TraversableResolver.`isCascadable(Object traversableObject, Path.Node traversableProperty, Class<?> rootBeanType, Path pathToTraversableObject, ElementType elementType)`
`boolean`
TraversableResolver.`isReachable(Object traversableObject, Path.Node traversableProperty, Class<?> rootBeanType, Path pathToTraversableObject, ElementType elementType)`